Loading...
Searching...
No Matches
psa_drv_se_asymmetric_t Struct Reference
Secure Element Asymmetric Cryptography

A struct containing all of the function pointers needed to implement asymmetric cryptographic operations using secure elements. More...

`#include <crypto_se_driver.h>`

Collaboration diagram for psa_drv_se_asymmetric_t:
[legend]

## Data Fields

psa_drv_se_asymmetric_sign_t | private_p_sign
psa_drv_se_asymmetric_verify_t | private_p_verify
psa_drv_se_asymmetric_encrypt_t | private_p_encrypt
psa_drv_se_asymmetric_decrypt_t | private_p_decrypt

## Detailed Description

A struct containing all of the function pointers needed to implement asymmetric cryptographic operations using secure elements.

PSA Crypto API implementations should populate instances of the table as appropriate upon startup or at build time.

If one of the functions is not implemented, it should be set to NULL.

Definition at line 671 of file crypto_se_driver.h.

## Field Documentation

## private_p_decrypt

psa_drv_se_asymmetric_decrypt_t psa_drv_se_asymmetric_t::private_p_decrypt

Function that performs an asymmetric decrypt operation

Definition at line 679 of file crypto_se_driver.h.

## private_p_encrypt

psa_drv_se_asymmetric_encrypt_t psa_drv_se_asymmetric_t::private_p_encrypt

Function that performs an asymmetric encrypt operation

Definition at line 677 of file crypto_se_driver.h.

## private_p_sign

psa_drv_se_asymmetric_sign_t psa_drv_se_asymmetric_t::private_p_sign

Function that performs an asymmetric sign operation

Definition at line 673 of file crypto_se_driver.h.

## private_p_verify

psa_drv_se_asymmetric_verify_t psa_drv_se_asymmetric_t::private_p_verify

Function that performs an asymmetric verify operation

Definition at line 675 of file crypto_se_driver.h.

The documentation for this struct was generated from the following file:

- crypto_se_driver.h